| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxStdInputStream Class Reference
Streams

`#include <wx/stdstream.h>`

Inheritance diagram for wxStdInputStream:
[legend]

## Detailed Description

wxStdInputStream is a std::istream derived stream which reads from a wxInputStream.

Example:

wxFFileInputStream file("words.txt");
wxStdInputStream in(file);
std::vector<std::string> words;
// read words from words.txt
std::copy(std::istream_iterator<std::string>(in),
std::istream_iterator<std::string>(),
std::back_inserter(words));
// sort and remove duplicates
std::sort(words.begin(), words.end());
words.resize(std::unique(words.begin(), words.end()) - words.begin());
// print words
std::copy(words.begin(), words.end(),
std::ostream_iterator<std::string>(std::cout, "\n"));

##

Library: wxBase
Category: Streams

See Also
  wxInputStream, wxStdInputStreamBuffer

## Public Member Functions

| wxStdInputStream (wxInputStream &stream)
| Creates a std::istream derived stream which reads from a wxInputStream.
virtual | ~wxStdInputStream ()
| Destructor.

## Constructor & Destructor Documentation

wxStdInputStream::wxStdInputStream | ( | wxInputStream & | stream | ) |

Creates a std::istream derived stream which reads from a wxInputStream.

Parameters

  stream | Stream to read from.

virtual wxStdInputStream::~wxStdInputStream | ( |  | ) |

inlinevirtual

Destructor.